ResourceDetailsPanel (gCube Resource Management Portlet 4.0.0-SNAPSHOT API)
Date: 2013-02-27

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.portlets.admin.resourcemanagement.client.views.resourcedetails
Class ResourceDetailsPanel

    java.lang.Object
      org.gcube.portlets.admin.resourcemanagement.client.views.resourcedetails.ResourceDetailsPanel

    public class ResourceDetailsPanel

extends Object

Version:
  2.1 APR 2012
Author:
  Massimiliano Assante (ISTI-CNR), Daniele Strollo

Constructor Summary
`ResourceDetailsPanel()`

Method Summary
`com.extjs.gxt.ui.client.widget.ContentPanel` | `getContainer()`
`List<com.extjs.gxt.ui.client.data.ModelData>` | `getElemsForInstall()`
`com.extjs.gxt.ui.client.widget.grid.Grid<com.extjs.gxt.ui.client.data.ModelData>` | `getGrid()`
`List<com.extjs.gxt.ui.client.data.ModelData>` | `getSelection()`
`com.extjs.gxt.ui.client.widget.toolbar.ToolBar` | `getToolBar()`
`com.extjs.gxt.ui.client.widget.Component` | `getWidget()`
`void` | `init()` Method called at initialization phase (Constructor).
`void` | `initToolbar()`
`void` | `refreshModel()`
`void` | `setGrid(com.extjs.gxt.ui.client.widget.grid.Grid<com.extjs.gxt.ui.client.data.ModelData> grid, boolean groupingEnabled)`
`void` | `setWidget(com.extjs.gxt.ui.client.widget.Component widget, boolean enableGrouping)`
`void` | `toggleHighlightInvalidFields()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResourceDetailsPanel

    public ResourceDetailsPanel()

Method Detail

### getElemsForInstall

    public final List<com.extjs.gxt.ui.client.data.ModelData> getElemsForInstall()

### refreshModel

    public final void refreshModel()

### getSelection

    public final List<com.extjs.gxt.ui.client.data.ModelData> getSelection()

### init

    public final void init()

  Method called at initialization phase (Constructor).

### toggleHighlightInvalidFields

    public final void toggleHighlightInvalidFields()

### getToolBar

    public final com.extjs.gxt.ui.client.widget.toolbar.ToolBar getToolBar()

### getWidget

    public final com.extjs.gxt.ui.client.widget.Component getWidget()

### getGrid

    public final com.extjs.gxt.ui.client.widget.grid.Grid<com.extjs.gxt.ui.client.data.ModelData> getGrid()

### setWidget

    public final void setWidget(com.extjs.gxt.ui.client.widget.Component widget,
                                boolean enableGrouping)

### getContainer

    public final com.extjs.gxt.ui.client.widget.ContentPanel getContainer()

### initToolbar

    public final void initToolbar()

### setGrid

    public final void setGrid(com.extjs.gxt.ui.client.widget.grid.Grid<com.extjs.gxt.ui.client.data.ModelData> grid,
                              boolean groupingEnabled)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All Rights Reserved.